<?php
include_once('c_quiz_theme_card.php');
class c_page_cab_quiz_theme_card_stats extends c_page_cab_quiz_theme_card
{
    public $h1='Контроль знаний - карточка раздела - статистика';
    public $title=' - статистика';

    var $use_textarea_autosize=1;

    function block_main()
    {
        $this->page_title();
        $this->panel_report();
    }

    function panel_report()
    {
//        include_once(_DIR_EXT.'/quiz/report_quiz_section_stats.php');
//        $report_obj=new report_quiz_section_stats();
//        $report_obj->section_id=$this->rec_section['pkey'];
        include_once(_DIR_EXT.'/quiz/report_quiz_stats2.php');
        $report_obj=new report_quiz_stats2(['quiz_section_tree_id'=>$this->rec_section['pkey']]);
        $report_obj->init();
        $report_obj->setting();
        $report_obj->view();
    }
}

?>